### gnue-common.spec --- RPM spec file for GNU Enterprise Common

## Copyright (C) 2008  Aaron S. Hawley

## Author: Aaron S. Hawley <aaronh at garden dot org>

## This file is not part of GNU Enterprise

## This file is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; either version 2, or (at your
## option) any later version.

## This file is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## General Public License for more details.

## You should have received a copy of the GNU General Public License
## Along with GNU Enterprise; see the file COPYING.  If not, write to
## the Free Software Foundation, Inc., 51 Franklin Street, Fifth
## Floor, Boston, MA 02110-1301, USA.

### Commentary:

## ChangeLog is at the end of this file.

## The following variable will be set automatically after Fedora 8.
## see: http://fedoraproject.org/wiki/Packaging/Python

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

## Avoid suspected find-debuginfo.sh bug in mock for Fedora 9?:
%define debug_package %{nil}

### Code:

Name: gnue-common
Version: 0.6.9
Release: 7%{?dist}
Summary: GNU Enterprise Common Base

Group: Applications/Productivity
License: GPLv2+
URL: http://www.gnuenterprise.org/
Source0: http://www.gnuenterprise.org/downloads/current/%{name}-%{version}.tar.gz
Patch0: gnue-diag.sh.diff
Patch1: gnue-common_INSTALL.diff
Patch2: hints.postgresql.txt.diff
Patch3: gnue-common_setup.py.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: python-devel
## rpmbuild automatically adds "Requires: python-abi = <version>"
#Requires: python >= 2.3
Requires: MySQL-python python-psycopg2 mx

%description
GNU Enterprise Common Library for use with the GNUe tools provides
a set of images and classes that GNUe Forms, GNUe Reports, GNUe
Appserver and GNUe Designer and others depend upon.  It implements
a database-abstraction layer that provides support for most major
databases. A builtin XML-to-Object parser and Object-to-XML
marshaller are used by Forms, Reports, and Designer to save and
read Forms/Report definitions to and from an XML file. It also
defines and implements an RPC abstraction layer that will allow
server processes to define their public methods once and have them
available to CORBA, XML-RPC, SOAP, and DCOM clients.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
## Fix rpmlint error "zero-length"
rm -f src/formatting/masks/FormatMask.py
## Fix rpmlint error "non-executable-script"
mv src/printing/pdftable/sample.py scripts/pdftable-example.py
## Quiet rpmlint warning "doc-file-dependency"
rm -f scripts/pdftable-example.py

%build

%install
rm -rf %{buildroot}
%{__python} ./setup.py install -O1 --prefix=%{_prefix} --root=%{buildroot}
%find_lang %{name}
cp -pr %{buildroot}%{_docdir}/%{name}-%{version} doc


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/gnue-schema
%{_mandir}/man1/gnue-schema.1.gz
%{python_sitelib}/gnue
%if 0%{?fedora} >= 9
  %{python_sitelib}/gnue_common-%{version}*.egg-info
%endif
%{_datadir}/gnue
%config %dir %{_sysconfdir}/gnue
## These files are only samples, and could be updated by upstream authors.
%config /etc/gnue/sample.connections.conf
%config /etc/gnue/sample.gnue.conf
%doc AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README THANKS 
%doc doc/technotes scripts/gnue-diag.sh doc/%{name}-%{version}/*

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6.9-5
- Rebuild for Python 2.6

* Sun May  4 2008 Aaron Hawley <aaronh@garden.org> - 0.6.9-4
- Add %{?dist} to release number.

* Thu Apr  3 2008 Aaron Hawley <aaronh@garden.org> - 0.6.9-3
- Another revision for package review.
- Change license from GPLv2 to GPLv2+.
- Put all docs in single directory.
- Fix rpmlint warning for having macro in changelog.

* Tue Apr  1 2008 Aaron Hawley <aaronh@garden.org> - 0.6.9-2
- Revision for package review request bug #439310.
- Quiet rpmlint warnings "doc-file-dependency" and
  "spurious-executable-perm" by deleting
  src/printing/pdftable/sample.py
- Explicitly list sample configuration files sample.connections.conf,
  sample.gnue.conf and explain missing "noreplace" for %%config.
- Include Python egg-info in package generated by Fedora 9 and later.

* Sun Mar 30 2008 Aaron S. Hawley <aaronh@garden.org> - 0.6.9-1
- Initial RPM release.

### gnue-common.spec ends here
